package com.application.GUI.PopUpWindows;

import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.control.TextField;
import javafx.scene.layout.VBox;
import javafx.scene.text.TextAlignment;
import javafx.stage.Modality;
import javafx.stage.Stage;

public class LoginPopup {

    public static void login(){

        Stage window = new Stage();
        window.initModality(Modality.APPLICATION_MODAL);
        window.setTitle("Login window");

        Label userNameLabel = new Label("Username:");
        Label passwordLabel = new Label("Password:");

        TextField userNameTextField = new TextField();
        TextField passwordTextField = new TextField();

        userNameTextField.getText();
        passwordTextField.getText();

        Button loginButton = new Button("Login");
        Button closeButton = new Button("Close");

        loginButton.setOnAction(event -> {

        });
        closeButton.setOnAction(event -> window.close());


        VBox layout = new VBox(10);
        layout.setAlignment(Pos.CENTER);
        layout.getChildren().addAll(userNameLabel, userNameTextField, passwordLabel, passwordTextField, loginButton, closeButton);

        Scene scene = new Scene(layout, 500, 300);
        scene.getStylesheets().add(InputPopup.class.getResource("/com.application/CSS/styleSheet.css").toExternalForm());
        window.setScene(scene);
        window.showAndWait();
    }
}
